tasks:
  walking:
    type: "walking"
    distance: 20000
display:
  name: "&aWalk 20,000 Blocks"
  lore-normal:
    - "&7Walk 10,000 blocks around the server to complete"
    - "&7this quest and earn the following rewards:"
    - ""
    - "&eRewards:"
    - "&8* &a10 Emeralds"
    - "&8* &2$&a5,000 Money"
  lore-started:
    - ""
    - "&eYour current progression:"
    - "&8* &f{walking:progress}&8/&f10,000 blocks walked."
  type: "BOOK"

rewards:
  - "eco give {player} 5000"
  - "minecraft:give {player} emerald 10"
  - "rawmsg {player} true &8&m---------------<n>&e&lQUEST COMPLETE<n>&7Rewards: &2$&a5,000 Money &7& &a10 Emeralds<n>&8&m---------------"

placeholders:
  description: "&7Walk &f20,000 blocks &7around the server."
  progress: " &8* &f{walking:progress}&8/&720,000 blocks walked."

options:
  category: "walking"
  repeatable: true
  cooldown:
    enabled: true
    time: 10080
  sort-order: 3